import * as Font from "expo-font";
import { Stack } from "expo-router";

export default function RootLayout() {
  const [fontsLoaded] = Font.useFonts({
    Minecraft: require("../assets/fonts/Minecraft.ttf"),
  });

  if (!fontsLoaded) {
    return null;
  }

  return (
    <Stack>
      <Stack.Screen name="index" options={{ headerShown: false }} />
      <Stack.Screen name="nether-portal-calculator" options={{ headerShown: false }} />
      <Stack.Screen name="todo" options={{ headerShown: false }} />
      <Stack.Screen name="saved-coordinates" options={{ headerShown: false }} />
      <Stack.Screen name="motd" options={{ headerShown: false }} />
    </Stack>
  );
}